package com.persagy.cameractl.conf;

import java.util.List;
import java.util.Map;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "myself-param")
public class MyParamConfig {
	 private String paramStr;
	 private Integer paramInt;
	 private Double paramDouble;
	 private List<String> paramList;
	 private Map<String, String> maps;
	public String getParamStr() {
		return paramStr;
	}
	public void setParamStr(String paramStr) {
		this.paramStr = paramStr;
	}
	public Integer getParamInt() {
		return paramInt;
	}
	public void setParamInt(Integer paramInt) {
		this.paramInt = paramInt;
	}
	public Double getParamDouble() {
		return paramDouble;
	}
	public void setParamDouble(Double paramDouble) {
		this.paramDouble = paramDouble;
	}
	public List<String> getParamList() {
		return paramList;
	}
	public void setParamList(List<String> paramList) {
		this.paramList = paramList;
	}
	public Map<String, String> getMaps() {
		return maps;
	}
	public void setMaps(Map<String, String> maps) {
		this.maps = maps;
	}
	@Override
	public String toString() {
		return "MyParamConfig [paramStr=" + paramStr + ", paramInt=" + paramInt + ", paramDouble=" + paramDouble
				+ ", paramList=" + paramList + ", maps=" + maps + "]";
	}
	
}
